> For the complete documentation index, see [llms.txt](https://docs.payum.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payum.dev/laravel/blade-templating.md).

# Blade Templating

Some gateways require authorizations in one way or another. Some of these are to be included as a javascript or iframe or anything else on your page. By default, payum solves this with twix templates. With Laravel we are used to work with blade, and the laravel-package includes a simple way to use blade templates with payum instead of the default twix.

### Configuration

All you have to do is change the configuration of payum on the gateway you want to apply the blade templating. This is a example of the klarna\_checkout-gateway config. The important part for changing the templateing is `payum.action.render_template` and `payum.template.authorize`.

```php
<?php
/** @var Payum $payum */
$payum = (new PayumBuilder())
    ->addDefaultStorages()
    ->addGateway('aGateway', [
        'factory' => 'klarna_checkout'
        'merchant_id' => '',
        'secret' => '',
        'payum.action.render_template' => new \Payum\LaravelPackage\Action\RenderTemplateAction(), // Activates blade templating
        'payum.template.authorize' => 'page.klarna-checkout-authorize', // Your custom blade-template
    ])
    ->getPayum()
;
```

***

### Supporting Payum

Payum is an MIT-licensed open source project with its ongoing development made possible entirely by the support of community and our customers. If you'd like to join them, please consider:

* [Become a sponsor](https://github.com/sponsors/Payum)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payum.dev/laravel/blade-templating.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
